KJS5(1)

NOME
kjs5 - Interprete compatibile con ECMAScript di KDE

SINTASSI

kjs5 [ | [--help] | [-help] | [-h] ] [ | [--version] | [-version] | [-v] ] [ | [-e dichiarazione] ] [ | script ]

DESCRIZIONE

kjs è un motore ECMAScript/JavaScript di KDE.

OPZIONI DELLAPPLICAZIONE

--help,-help,-h
    Mostra l'uso di kjs5.

--version,-version,-v
    Mostra la versione di kjs5.

-e dichiarazione
    Esegue la dichiarazione ed esce. Per esempio:

        kjs5 -e "print('ciao mondo')"

script
    Esegue le dichiarazioni incluse nel file script.

USO

kjs5 file, come molti altri interpreti, quando chiamato senza parametri usa un editor di riga per inserire dichiarazioni, mostrando il prompt

    JS
    >

Per uscire dall'editor di riga scrivi quit() o premi Ctrl+D.

VEDI ANCHE

kjscmd5(1)

ERRORI

Usa il sito di gestione dei bug di KDE[1] per segnalarli.

AUTORE

Harri Porten <porten@kde.org>
    Autore.

NOTE

1.  il sito di gestione dei bug di KDE
    http://bugs.kde.org